package com.yanzhu.manage.domain;

import com.yanzhu.common.core.annotation.Excel;
import com.yanzhu.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 用户试卷结果对象 bus_exam_user_result
 * 
 * @author JiangYuQi
 * @date 2024-10-03
 */
public class BusExamUserResult extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 用户试卷主键 */
    @Excel(name = "用户试卷主键")
    private Long examUserId;

    /** 问题主键 */
    private Long questionId;

    /** 问题描述 */
    @Excel(name = "问题描述")
    private String questionTitle;

    /** 问题类型 */
    @Excel(name = "问题类型")
    private Long questionType;

    /** 问题选项 */
    @Excel(name = "问题选项")
    private String questionOption;

    /** 用户答案 */
    @Excel(name = "用户答案")
    private String userAnswer;

    /** 问题答案 */
    @Excel(name = "问题答案")
    private String answer;

    /** 答题结果 */
    @Excel(name = "答题结果")
    private String useRes;

    /** 答题得分 */
    @Excel(name = "答题得分")
    private String useMark;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setExamUserId(Long examUserId) 
    {
        this.examUserId = examUserId;
    }

    public Long getExamUserId() 
    {
        return examUserId;
    }
    public void setQuestionTitle(String questionTitle)
    {
        this.questionTitle = questionTitle;
    }

    public String getQuestionTitle()
    {
        return questionTitle;
    }

    public Long getQuestionId() {
        return questionId;
    }

    public void setQuestionId(Long questionId) {
        this.questionId = questionId;
    }

    public Long getQuestionType() {
        return questionType;
    }

    public void setQuestionType(Long questionType) {
        this.questionType = questionType;
    }

    public void setQuestionOption(String questionOption)
    {
        this.questionOption = questionOption;
    }

    public String getQuestionOption() 
    {
        return questionOption;
    }
    public void setUserAnswer(String userAnswer) 
    {
        this.userAnswer = userAnswer;
    }

    public String getUserAnswer() 
    {
        return userAnswer;
    }
    public void setAnswer(String answer) 
    {
        this.answer = answer;
    }

    public String getAnswer() 
    {
        return answer;
    }
    public void setUseRes(String useRes) 
    {
        this.useRes = useRes;
    }

    public String getUseRes() 
    {
        return useRes;
    }
    public void setUseMark(String useMark) 
    {
        this.useMark = useMark;
    }

    public String getUseMark() 
    {
        return useMark;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("examUserId", getExamUserId())
            .append("questionTitle", getQuestionTitle())
            .append("questionOption", getQuestionOption())
            .append("userAnswer", getUserAnswer())
            .append("answer", getAnswer())
            .append("useRes", getUseRes())
            .append("useMark", getUseMark())
            .toString();
    }
}
